%define name		pmidi
%define version		1.7.0
%define release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source: 	%{name}-%{version}.tar.xz
Summary:	A Command Line MIDI Player for ALSA.
License:	GPL-2
Group:		Sound
URL:		http://pmidi.sourceforge.net
BuildRequires:	%{_lib}alsa2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{rel}-root

%description
pmidi is a command line midi player for ALSA.  It can play to any MIDI
device that is supported by ALSA.


%prep
%setup -q

%build
%configure2_5x --with-included-glib
%make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc %{_mandir}/man*/*

%changelog
* Wed Jan 15 2014 bb <bb> 1.7.0-2pclos2013
- fix rpmgroup Sound
- fix build macro configure2_5x
- adjust BR

* Sun Dec 29 2013 gseaman <galen.seaman at comcast.net> 1.7.0-1-1gseaman2013
- based on author's spec file - sr@parabola.me.uk
